Package: org.codehaus.groovy.tools.ast

## [Groovy] Class TestHarnessClassLoader

- org.codehaus.groovy.tools.ast.TestHarnessClassLoader

- ClassLoader exists so that TestHarnessOperation can be wired into the compile.

  Authors:
    Hamlet D'Arcy

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TestHarnessClassLoader (ASTTransformation transform, CompilePhase phase)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected CompilationUnit` | `createCompilationUnit(CompilerConfiguration config, CodeSource codeSource)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyClassLoader` | `parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, generateScriptName, getLoadedClasses, addClasspath, setResourceLoader, getResourceLoader, setShouldRecompile, isShouldRecompile, loadClass, loadClass, loadClass, defineClass, defineClass, clearCache, addURL, getResourceAsStream, newInstance, newInstance, findResource, findResources, close, getURLs, getSystemClassLoader, getResource, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class URLClassLoader` | `getResourceAsStream, newInstance, newInstance, findResource, findResources, close, getURLs, loadClass, getSystemClassLoader, getResource, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### TestHarnessClassLoader(ASTTransformation transform, CompilePhase phase)

  - ### Method Detail

    - #### protected CompilationUnit createCompilationUnit(CompilerConfiguration config, CodeSource codeSource)